KS2000 - Konfigurations-Software

BECKHOFF Feldbuskomponenten

Dokumentation für

KS2000

Konfigurations-Software für Feldbus-Komponenten

Version: 5.0.0
Datum: 19.07.2017


Übersicht

Das Softwaretool KS2000 dient der Projektierung, Parametrierung und Inbetriebnahme von Buskopplern und Busklemmen.

Projektierung

Der Offline Projektiermodus ist in Vorbereitung.

Parametrieren

Die KS2000 ermöglicht einen einfaches parametrieren einer Klemmstation. Mit Hilfe von Dialogen können die Einstellungen von Buskopplern, Busklemmen und Feldbusboxen leicht modifiziert werden. Als Alternative zu den Dialogen bietet die Registerkommunikation einen vollständigen Zugriff auf die Register der zuvor genannten Module. Genauere Angaben zu den Registern finden Sie in den technischen Dokumentationen der einzelnen Module.

Inbetriebnahme

Die KS2000 erleichtert die Inbetriebnahme von Maschinenteilen bzw. Klemmstationen:

  • Projektierte Koppler- und Klemmeneinstellungen können via Upload auf die Klemmstationen übertragen werden.
  • Nach dem einloggen auf einer Klemmstation können direkte Einstellungen an Koppler und Klemmen "online" vorgenommen werden. Hierfür stehen ebenfalls die Dialoge und Registerkommunikation zur Verfügung.

  • Kopplereinstellungen benötigen einen Neustart um Änderungen übernehmen zu können. Der dafür notwendige Neustart kann durch die KS2000 ausgeführt werden.

  • Die Funktion "Hersteller-Einstellungen" in der KS2000 setzt den Buskoppler wieder in seine ab Werk Einstellungen (default settings) zurück.

  • Via Monitoring ermöglicht die KS2000 den Zugriff auf das Ein- und Ausgangsprozessabbild eines Buskopplers oder Busklemme. Dabei können z.B. für die Inbetriebnahme einer Ausgangsklemme im Ausgangsprozessabbild ein definierter Wert vorgegeben werden.

  • Sämtliche Möglichkeiten im "Online-Mode" können parallel zum eigentlichen Feldbus-Betrieb der Klemmstation genutzt werden. Das Feldbusprotokoll hat jedoch immer die höhere Priorität.

  • Die KS2000 unterstützt mehrere Sprachen. Sie startet, soweit vorhanden, in der jeweiligen Landessprache des Betriebssystems. Des Weiteren, kann die Sprache im Menü „Optionen/Sprache“ individuell eingestellt werden.


Lieferumfang

Bestandteile

  • CD mit Setup Datei und Dokumentationen
  • Datenkabel zur seriellen Kommunikation


Systemvoraussetzungen

Systemvoraussetzungen

  • Windows 7 SP1 oder Windows 10
  • 25 MB freien HD-Platz
  • Sie benötigen die Administrationsrechte auf Ihrem Betriebssystem

Produktunterstützung

Folgende Beckhoff Buskoppler (ab dem Produktionsdatum Oktober 1996) werden von der KS2000 unterstützt:

  • BK2xxx : Ab EEPROM-Version "BC"
  • BK3xxx : Ab EEPROM-Version "BF"
  • BK4xxx : Ab EEPROM-Version "BC"
  • BK5xxx : Ab EEPROM-Version "BC"
  • BK73xx
  • BK8xxx : Ab EEPROM-Version "BC"
  • BK9xxx
  • BC3100: Ab EEPROM-Version "B3"

Spezielle Funktionen der KS2000 werden erst ab einem bestimmten Firmware-Stand unterstützt. Genauere Informationen finden Sie hier.
(Ein Aufkleber auf der Unterseite des Buskopplers gibt Aufschluß über den Firmware-Stand zum Zeitpunkt der Auslieferung "x x x x B C x x - - - - ")


Hilfe und Support

Hilfe

Als Hilfe stehen Ihnen mehrere Dokumentationen zur Verfügung. Diese teilen sich wie folgt auf:

  • Die KS2000 Dokumentation ist in einen QuickStart und Referenz Bereich aufgeteilt. Hier finden Sie von den "first steps" bis zur Registerkommunikation Informationen.
  • Weitere Dokumentationen mit detaillierten technischen Informationen zu Busklemmen

Sämtliche Dokumentationen sind auch im Internet vorhanden. Der angegebene Link führt Sie sofort an die richtige Stelle (Dokumentationen).

Support

Für weitergehende Fragen oder Probleme steht Ihnen unser Support gerne zur Verfügung. Um eine schnelle und präzise Auskunft zu erhalten, können Sie folgende Informationen im Vorfeld zurechtlegen:

  • Welche PC Hardware verwenden Sie?
  • Welches Betriebssystem verwenden Sie?
  • Wie sind Sie mit der Klemmenstation verbunden?
  • Welche KS2000 Softwareversion verwenden Sie? (Diese finden Sie im KS2000 Menü unter Hilfe/Info)
  • Wie ist Ihre Klemmenstation aufgebaut?
  • Welchen Firmwarestand hat Ihr Buskoppler? (Informationen dazu finden Sie Produktuntersützung und Klemmenstationsanzeige

Beckhoff Automation GmbH & Co. KG

Hülshorstweg 20, 33415 Verl

Tel.: 05246-963-0

Fax.: 05246-963-149

Email: support@beckhoff.com

Internet: http://www.beckhoff.com

Bei Problemen mit der Software hilft eine detaillierte Beschreibung des Fehlers. Desweiteren werden Informationen über das verwendete Betriebssystems, Betriebssystemsprache (deutsch, englisch), etc. benötigt. Die Versionsnummer des KS2000 Softwaretools finden Sie in dem Hauptmenü über "Hilfe..." unter "Info...", oder in dem "Eigenschaften-Menü" des KS2000.EXE-Files.


- Intro

KS2000: Konfigurations und Diagnose Software


KS2000 Softwareinstallation

Systemvoraussetzungen

  • Windows 7 SP1 oder Windows 10
  • 25 MB freien HD-Platz
  • Sie benötigen die Administrationsrechte auf Ihrem Betriebssystem.

Installieren der KS2000 Software

Schritt 1: Legen Sie die KS2000 Software CD in das CD-ROM Laufwerk. Klicken Sie auf KS2000, sobald das KS2000 Menüfenster erscheint.

Für den Fall, dass das Programm nicht automatisch startet, öffnen Sie bitte den Windows Explorer und wählen das CD-ROM Laufwerk aus. Machen Sie mit der linken Moustaste einen dopplelklick auf ks2000.htm.

Schritt 2: Machen Sie mit der linken Moustaste einen dopplelklick auf KS2000_v4.exe

Schritt 3: Wähle Sie die Sprache für die weitere Installation und klicken Sie dann auf Weiter.

Das folgende Fenster erscheint.

Schritt 4: Beachten Sie die Installationshinweise während der weiteren Installation. Sobald das folgende Fenster erscheint klicken Sie bitte auf Weiter.

Schritt 5: Lesen Sie sich bitte sorgfältig die Lizenzvereinbarung durch und klicken dann auf JA.

Schritt 6: Geben Sie nun den Benutzernamen, Firmennamen und die Seriennummer ein. Die Serienummer finden Sie auf der Hülle der KS2000 Software CD. Anschließend klicken Sie bitte auf Weiter.

Schritt 7: Sie können nun das Verzeichnis wählen, in das später die Software installiert werden soll. Es wird allerdings empfohlen das vorgegebene Vezeichnis zu verwenden. Falls Sie ein anderes Verzeichnis wählen möchten, dann können Sie dieses indem Sie auf Durchsuchen klicken und und dann ein Verzeichnis wählen. Wenn Sie fertig sind klicken Sie bitte auf Weiter.

Schritt 8: Der Installationsprozess wird nun gestartet.

Schritt 9: Soblad der Prozess abgeschlossen ist klicken Sie bitte auf Fertigstellen um die Installation abzuschließen.


Anschluss von Buskoppler, Busklemmen Controller und Feldbusboxen am PC

KS2000: Konfigurations und Diagnose Software

Wie werden Busklemmen und Feldbus Box an einen Computer angeschlossen?

  1. Verbinden Sie den COM-port Adapter an Ihrem Computer an
  2. Verbinden Sie den anderen Adapter an der Parametrier- und Programmierschnittstelle an

Beckhoff garantiert einen funktionierenden Datenaustausch nur mit dem orginalen Datenkabel!!!

Buskloppler & Busklemmen Controller

COM Port Verbindung mit Buskoppler

Feldbusboxen

COM Port Verbindung mit Feldbusbox


KS2000-Zx-USB | USB cable for the connection between PC and fieldbus components

KS2000-Zx-USB

USB cable for the connection between PC and fieldbus components

KS2000-Zx-USB

The further development of PC technology and the establishment of new standards sometimes makes older technologies redundant. One example is the common serial RS232 interface, which is increasingly replaced by USB technology. In line with this development, the USB KS2000 cable is now available.

The KS2000 cable establishes a connection between the fieldbus components and the PC. It can be used for parametering Bus Terminals or Bus Couplers, local diagnostics, forcing Bus Terminal data, monitoring Bus Terminal values, updating firmware and programming Beckhoff mini PLCs via TwinCAT. The USB cable is available in two versions: KS2000-Z2-USB is used for the connection between a PC and a Bus Couplers from the BK, BC and LC series; KS2000-Z3-USB for the connection with Fieldbus Box modules. The USB cable features electrical isolation. Status LEDs indicate whether data are sent or received. On the connected PC the USB cable behaves like a COM port and can therefore be used for all Beckhoff tools using serial communication.
Ordering information | Description
KS2000-Z2-USB | connection cable for KS2000 or TwinCAT for serial conversion from USB for BK, BC, LC Couplers, length 3 m
KS2000-Z3-USB | connection cable for KS2000 or TwinCAT for serial conversion from USB for Fieldbus Box, lenght 3 m
Accessories |
USB driver | KS2000-Z2/Z3-USB cable, USB driver


How to install KS2000 USB driver on Windows 7 ?

KS2000

How to install KS2000 USB drivers on Windows 7 ?

1. First download the KS2000-Zx-USB drivers from Beckhoff's website.
Then connect the KS2000 USB cable with your Personal Computer (PC).

KS2000 Z2 USB

2. After that reports a notification message, that the Windows 7 is
Installing device driver software, but it occurs an error, because Windows 7
don't find the folder of the device driver software.

Installing device driver Software

3. Now we must manual install the drivers software for KS2000 USB cable. First we install the first driver software, that is for USB Serial Converter. Open Device Manager by clicking the Start button, clicking Control Panel,

Control Panel

clicking Hardware and Sound,

Hardware and Sound

and then clicking Device Manager!

Device Manager

4. Right-click the new device KS2000-Zx-USB for which you need a new driver, click Update Driver Software...

Update Driver Software

5. In the next window you have two choices to search for driver Software. We select and click Browse my computer for driver software.

Browse my computer for driver software

6. By Clicking Browse button select the folder for driver software.

Browse to folder for driver software

7. Would you like to install device software? The Windows Security wants a confirmation to install the driver software. Confirm by clicking the Install button.

Click Install

8. Windows has successfully installed the driver software for USB Serial Converter. This is the first driver software installation of two drivers, the next begins with the next step.

Windows has successfully installed your driver software for USB Serial Converter

9. Now open Device Manager again by clicking the Start button, clicking Control Panel, clicking Hardware and Sound, and then clicking Device Manager! There is under Other Devices the second device USB Serial Port, which driver software we now install. Right-click the new device USB Serial Port for which you need a new driver software. Clicking Update Driver Software...

Clicking Update driver Software...

10. Select and click Browse my computer for driver software.

Browse my computer for driver software

11. By Clicking Browse button select the folder for driver software.

Browse to folder for driver software

12. Would you like to install device software? The Windows Security wants a confirmation to install the driver software. Confirm by clicking the Install button.

Click Install

13. Windows has successfully installed the driver software for USB Serial Port.

Windows has successfully installed your driver software for USB Serial Converter

14. Now you see both devices in Device Manager. On the device USB Serial Port you can see which COM port number you can use.

Both devices in Device Manager


How to install KS2000 USB driver on Windows XP?

KS2000

How to install KS2000 USB drivers on Windows XP?

First download the latest KS2000-Zx-USB drivers from Beckhoff's website.

1. Connect the KS2000 USB cable to an unused USB port on your Personal Computer (PC).

KS2000 Z2 USB

2. Found New Hardware Wizard will automatically launch. If there is no available connection to the internet or Windows XP is configured connecting to Windows Update. Select No, not this time from the options and then click the button Next to proceed with the installation.

Installing device driver Software

3. Select Install from a list or specific location (Advanced) and click Next to continue.

Install from a list or specific location (Advanced)

4. Select Search for the best driver in these locations and enter the file path in the combobox or browse to it by clicking the Browse button. Once the file path has been entered in the combobox, click Next to proceed.

Search for the best driver in these loactions

5. If Windows XP is configured to warn when unsigned drivers are about to be installed, the message dialogue Hardware Installation will be displayed unless installing a Microsoft WHQL certified driver. Click on Continue Anyway to continue with the installation. If Windows XP is configured to ignore file signature warnings, no message will appear.

6. Windows XP copies the required driver files.

Windows XP copies...

7. Windows should then display a message indicating that the installation was successful. Click Finish to complete the installation for the first port of the device.

Update Driver Software

8. The Found New Hardware Wizard will launch automatically to install the COM port emulation drivers. Select No, not this time from the options and click Next to proceed with the installation.

Found New Harware Wizard

9. Select Install from a list or specific location (Advanced) and then click Next.

Install from a list or specific location (Advanced)

10. Select Search for the best driver in these locations and enter the file path in the combobox or browse to it by clicking the Browse button. Once the file path has been entered in the combobox, click Next to proceed.

Click Install

11. If Windows XP is configured to warn when unsigned drivers are about to be installed, the message dialogue Hardware Installation will be displayed unless installing a Microsoft WHQL certified driver. Click on Continue Anyway to continue with the installation. If Windows XP is configured to ignore file signature warnings, no message will appear.

13. Windows XP copies the required driver files for KS2000 USB Serial Port.

Windows XP copies...

14. Windows should then display a message indicating that the installation was successful. Click the button Finish to complete the installation for the first port of the device.

Clicking Update driver Software...

15. Open Control Panel\System, then select the Hardware tab and click Device Manager. Now you can see the device appears as a USB Serial Converter and USB Serial Port.

Device Manager


Spracheinstellungen

KS2000: Konfigurations und Diagnose Software

Spracheinstellung

Die KS2000 ist multilingual. Derzeit wird Deutsch und Englisch von der Software unterstützt. Das Bild zeigt wie Sie die Sprache wechseln können.


Steuerungs- und Konfigurationsmenü

So ist das Steuerungs- und Konfigurationsmenü aufgebaut wenn Sie online sind. Das Menüdesign erleichtert die Einstellungen und Konfiguration der angewählten Busstation. Die folgenden Beschreibungen sollen Ihnen das Menü näher bringen.

Sie werden feststellen, wenn Sie die angeführten Beispiele betrachten, dass der allgemeine Aufbau immer gleich ist. Nur bestimmte Merkmale ändern sich beim Anschließen von unterschiedlichen Beckhoff Hardware (Buskoppler, Busklemmen Controller, Feldbusbox oder CX Gerät).

Buskoppler & Busklemmen Controller

Menüstruktur in Baumansicht eines Busklemmen Controllers

1. Stations-Einstellungen speichern in Datei / Stations-Einstellungen aus Datei übertragen:

Mit dieser Funktion können Sie die speicherbaren Werte einer Busstation sichern und wiederherstellen.

2. Reports:

Diese Funktion bietet Ihnen allgemeine Informationen über eine angeschlossene Busklemmen station.

  • Wählen Sie Mapping um Informationen über die Adressen und Größe der angeschlossenen I/O im Prozessabbild zu bekommen
  • Wählen Sie Stückliste um Informationen über die Position und Anzahl der angeschossenen Busklemmen zu erhalten
  • Wählen Sie Klemmen: Register Dokumentation um das Register einer Busklemme in ein XML Datei zu sichern

3. Einstellungen:

Diese Funktion bietet Ihnen allgemeine Informationen über die Einstellungen einer angeschlossenen Busklemmen station.

  • Wählen Sie Allgemein: Einstellungen um Einstellungen am K-Bus, SPS Interface und den Prozessabbildungen 1-4 vorzunehmen
  • Wählen Sie Allgemein: Lokales User-Mapping um eine definierte Anordnung Ihrer angeschlossenen Busklemmen vorzunehmen
  • Wählen Sie Feldbus: Einstellungen um feldbusspezifische Einzustellen vorzunehmen
  • Wählen Sie Feldbus: Sicherheitseinstellungen um feldbusspezifische Sicherheitseinstellungen vorzunehmen (Diese Funktion ist nur in Verbindung mit Ethernet nutzbar)
  • Wählen Sie Controller: Einstellungen um controllersprezifische Einstellungen vorzunehmen (Diese Funktion ist nur in Verbindung mit Buskontrollern nutzbar)
  • Wählen Sie Prozessdaten um eine direkte Konfiguration des K-Bus I/O Prozessabbildes vorzunehmen

4. Tabellen:

Falls Sie eine Busklemmenstation ohne Menüführung vornehmen wollen, dann wählen Sie auf Tabellen und eine Liste mit unterschiedlichen Tabellen erscheint. Wählen Sie nun die entsprechende Tabelle, die Sie ändern wollen. Diese Funktion sollte nur von Benutzern mit verwendet werden, die genaue Kenntnisse über die Beckhoff Registerkommunikation besitzen!

5. Digitale Busklemmen:

Ab hier finden Sie sämtliche digitalen Busklemmen aufgelistet.

  • Wählen Sie Kanal um detaillierte Informationen über den Prozess der jeweiligen Busklemme zu erhalten

6. Analoge Busklemmen:

Ab hier finden Sie sämtliche analogen Busklemmen aufgelistet.

  • Wählen Sie Register um direkte Einstellungen am Register der jeweiligen Busklemme vorzunehmen
  • Wählen Sie Einstellungen um allgemeine Einstellungen an der Busklemme vorzunehmen
  • Wählen Sie Prozessdaten um detaillierte Informationen über den Prozess der jeweiligen Busklemme zu erhalten

7. Terminierungsklemme

oder auch Endklemme genannt.

Feldbusboxen

Menüstruktur in Baumansicht eines Feldbusboxes

1. Stations-Einstellungen speichern in Datei / Stations-Einstellungen aus Datei übertragen:

Mit dieser Funktion können Sie eine gesamte Station sichern und wiederherstellen.

2. Reports:

Diese Funktion bietet Ihnen allgemeine Informationen über eine angeschlossene Busklemmen station.

  • Wählen Sie Mapping um Informationen über die Adressen und Größe der angeschlossenen I/O im Prozessabbild zu bekommen
  • Wählen Sie Stückliste um Informationen über die Position und Anzahl der angeschossenen Busklemmen zu erhalten
  • Wählen Sie Klemmen: Register Dokumentation um das Register einer Busklemme in ein XML Datei zu sichern

3. Einstellungen:

Diese Funktion bietet Ihnen allgemeine Informationen über die Einstellungen einer angeschlossenen Busklemmen station.

  • Wählen Sie Allgemein: Einstellungen um Einstellungen am K-Bus, SPS Interface und den Prozessabbildungen 1-4 vorzunehmen
  • Wählen Sie Allgemein: Lokales User-Mapping um eine definierte Anordnung Ihrer angeschlossenen Busklemmen vorzunehmen
  • Wählen Sie Feldbus: Einstellungen um feldbusspezifische Einzustellen vorzunehmen
  • Wählen Sie Controller: Einstellungen um controllersprezifische Einstellungen vorzunehmen (Diese Funktion ist nur in Verbindung mit Buskontrollern nutzbar)
  • Wählen Sie Prozessdaten um eine direkte Konfiguration des K-bus I/O Prozessabbildes vorzunehmen

4. Tabellen:

Falls Sie eine Busklemmenstation ohne Menüführung vornehmen wollen, dann Wählen Sie Tabellen und eine Liste mit unterschiedlichen Tabellen erscheint. Wählen Sie nun die entsprechende Tabelle, die Sie ändern wollen. Diese Funktion sollte nur von Benutzern mit verwendet werden, die genaue Kenntnisse über die Beckhoff Registerkommunikation besitzen!

5. Signal-Channels:

Dieses sind die I/Os von der Kompakt Box, Koppler Box und SPS Box

6. Digitale Erweiterungs-Box:

Ab hier finden Sie sämtliche digitalen Erweiterungs-Boxen aufgelistet.

  • Wählen Sie Kanal um detaillierte Informationen über den Prozess der jeweiligen Erweiterungs-Box zu erhalten

7. analog extension boxes:

Ab hier finden Sie sämtliche analogen Erweiterungs-Boxen aufgelistet.

  • Wählen Sie Register um direkte Einstellungen am Register der jeweiligen Erweiterungs-Box vorzunehmen
  • Wählen Sie Einstellungen um allgemeine Einstellungen an der Erweiterungs-Box vorzunehmen
  • Wählen Sie Prozessdaten um detaillierte Informationen über den Prozess der jeweiligen Erweiterungs-Box zu erhalten


Ansicht

Sie können Teilbereiche der KS2000 Ein- oder Ausblenden, um eine bessere Übersichtlichkeit beim Arbeiten zu bekommen. Unter Ansicht können Sie diese individuellen Einstellungen vornehmen. Die Bereiche, die Ein- oder Ausgeblendet werden können, sind in der folgenden Grafik mit Baumansicht und Berichtsbox kenntlich gemacht.

Sie haben zwei Möglichkeiten das Ein- oder Ausblenden vorzunehmen. Die notwendigen Schritte werden Ihnen jetzt gezeigt.

Klicken Sie in der Menüleiste auf das entsprechende Symbol um die gewünschte Ansicht ein- oder auszublenden.

Schritt 1: Klicken Sie auf Optionen in der Menüleiste.

Schritt 2: Wählen Sie Ansicht und klicken Sie auf die gewünschte Ansicht, die Ein- oder Ausgeblendet werden soll.


Inbetriebnahme-Modus - erforderlicher Firmware-Stand

Buskoppler / Busklemmen Controller

Achtung Für den Inbetriebnahme-Modus der KS2000 ist auf dem verwendeten Buskoppler bzw. Busklemmen Controller ein bestimmter Firmware-Stand erforderlich. Der Firmware-Stand ist auf der Rückseite des Buskopplers angegeben (siehe untenstehendes Beispiel für CANopen). Bei Bedarf kann ein Firmware-Update über die serielle Schnittstelle (KS2000-Kabel erforderlich) oder - je nach Bussystem - auch über den Feldbus erfolgen. Die aktuellen Firmware-Stände und das Programm für den Firmware-Update finden Sie auf unserer Homepage http://www.Beckhoff.de.

Feldbus- System | Buskoppler / Busklemmen Controller | Auf dem Buskoppler / Busklemmen Controller erforderlicher Firmware-Stand zur Nutzung des Inbetriebnahmemodus
Lightbus | BK2020 | in Vorbereitung (B1)
Profibus | BK3000 | nicht unterstützt
 | BK3010 | BA
 | BK3100 | nicht unterstützt
 | BK3110, BK3120 | BA
 | BK3150 | in Vorbereitung (B0)
 | BK3500, BK3520 | BA
 | LC3100 | BA
 | BC3100 | in Vorbereitung (C4)
 | BX3100 | in Vorbereitung (1.00)
Interbus | BK4020 | nicht unterstützt
 | BC4000 | nicht unterstützt
CANopen | BK5120 | B0
 | BX5100 | in Vorbereitung (1.00)
DeviceNet | BK5220 | in Vorbereitung
ControlNet | BK7000 | BB
Modbus | BK7300 | in Vorbereitung (B4)
Sercos | BK7500, BK7520 | nicht unterstützt
Fip IO | BK7420 | B1
RS485 | BK8000 | nicht unterstützt
RS232 | BK8100 | nicht unterstützt
Ethernet | BK9000 | in Vorbereitung (B9)
 | BC9000 | in Vorbereitung (BA)
USB | BK9500 | nicht unterstützt
CX | CX1100 | in Vorbereitung (B4)

Nicht aufgeführte Buskoppler bzw. Busklemmen Controller sind noch nicht für den Inbetriebnahme-Modus vorbereitet.

Feldbus Box

Achtung Für den Inbetriebnahme-Modus der KS2000 ist auf der verwendeten Feldbus Box ein bestimmter Firmware-Stand erforderlich. Der Firmware-Stand ist auf der Seite des Feldbus Box angegeben. Bei Bedarf kann ein Firmware-Update über die serielle Schnittstelle (KS2000-Kabel erforderlich) oder - je nach Bussystem - auch über den Feldbus erfolgen. Die aktuellen Firmware-Stände und das Programm für den Firmware-Update finden Sie auf unserer Homepage http://www.Beckhoff.de.

Feldbus- System | Feldbus Box | Auf der Feldbus Box erforderlicher Firmware-Stand zum Nutzung des Inbetriebnahmemodus
Lightbus | IPxxxx-B200 | in Vorbereitung
 | IL230x-B200 | in Vorbereitung
Profibus | IPxxxx-B31x | in Vorbereitung (B5)
 | IL230x-B31x | in Vorbereitung (B3)
 | IL230x-C31x | in Vorbereitung (B2)
Interbus | IPxxxx-B400 | nicht unterstützt
 | IL230x-B400 | nicht unterstützt
CANopen | IPxxxx-B51x | in Vorbereitung (C5)
 | IL230x-B51x | in Vorbereitung (C5)
DeviceNet | IPxxxx-B52x | in Vorbereitung
 | IL230x-B52x | in Vorbereitung
Modbus | IPxxxx-B730 | in Vorbereitung
 | IL230x-B730 | in Vorbereitung
RS485 | IPxxxx-B800 | in Vorbereitung
 | IL230x-B800 | in Vorbereitung
RS232 | IPxxxx-B810 | in Vorbereitung
 | IL230x-B810 | in Vorbereitung
Ethernet | IPxxxx-B900 | in Vorbereitung
 | IL230x-B900 | in Vorbereitung


Graphische Darstellung der Station

Die KS2000 bietet eine graphische Darstellung der Station. Diese zeigt sämtliche relevanten Informationen einer angeschlossenen Klemmenstation.

1) Anzeige des Koppler oder Controller und den an ihn angeschossenen Module

2) Gibt Auskunft über:
- die Firmware
- die IP-Adr
- die Prozessdaten

3) Der Mousezeiger verändert sich sobald Sie ihn über den Ausgang eines Modules bewegen. Durch einen doppel-klick können Sie einen Wert für diesen Kanal forcen.

Beispiel:


Mapping Bericht

Der Mapping Bericht gibt Auskunft über:

- Die I/O Adressen sämtlicher Klemmen
- Die Abbildungsgröße I/O im Prozess
- Die Summer der Abbildungsgröße sämtlicher I/O
- Die möglichkeit die angezeigte Liste zu drucken und zu exportieren

Example:


Stückliste

Die Stückliste gibt Auskunft über:

- Die Reihenfolge der Angeschlossenen Module
- Die Summe gleicher Module in der angeschossenen Station

Example:


Kommunikation via COM Port

Im Folgenden wird gezeigt wie die Kommunikation via COM Port zu einem Beckhoff Gerät hergestellt werden kann.

Schritt 1: Wählen Sie in der Menüleiste die Optionen. Danach wählen Sie Kommunikationskanal und wählen Sie via COM...

Kommunikation via COM Port

Das folgende Menüfenster erscheint:

Kommunikation via COM Port

Schritt 2: Wählen Sie das Kombinationsfeld. Es kann sein, dass der Arbeitcomputer mehrere COM-Ports verfügt. Wählen Sie den COM Port, über welchen das Beckhoff Gerät mit dem Datenkabel verbunden sind.

Kommunikation via COM Port

Schritt 3: Sie sollten bei der 19200 gewählt haben. Falls nicht, dann ändern Sie dieses indem Sie im Kombinationsfeld 19200 wählen.

Kommunikation via COM Port

Schritt 4: Sie sollten RS232 gewählt haben. Falls nicht, dann ändern Sie dieses indem Sie im Kombinationsfeld RS232 wählen.

Kommunikation via COM Port

Schritt 5: Dieser Wert sollt nur verändert werden, wenn Sie BK8xxx oder BC8xxx verwenden.

Kommunikation via COM Port

Wenn Sie einen BK8xxx oder BC8xxx verwenden:

  1. Überprüfen Sie die Addresse des BK oder BC
  2. Tragen Sie die eingestellte Addresse bei Multipoint ein (Siehe Beispiel)

Kommunikation via COM Port Beispiel: Addesse = 11

Schritt 6: Wenn Sie mit allen Einstellungen fertig sind klicken Sie auf Test...

Kommunikation via COM Port

Folgende Gründe knnen vorliegen, wenn dieses Meldefenster erscheint:

Kommunikation via COM Port

  • Der Buskoppler oder Controller hat keinen Strom
  • Sie haben nicht das original Beckhoff Datenkabel verwendet
  • Das Datenkabel ist falsch angeschlossen
  • Die vorgenommenen Einstellungen sind nicht korrekt

überprüfen Sie nochmals sämtliche Schritte und klicken anschließend nochmals auf Test.. .

Der Kommunikationstest war erfolgreich, wenn folgende Meldefenster erscheint

Kommunikation via COM Port

Schritt 7: Klicken Sie auf die SchaltflächeOK um die Einstellungen zu sichern.

Kommunikation via COM Port

Schritt 8: Siehe Einloggen


Kommunikation via ADS

Im Folgenden wird beschrieben wie die Kommunikation via ADS mit einem Beckhoff Gerät der BC, BK und BX Reihe hergestellt wird. Dazu wird die AmsServerNetId und IP-Adresse des Zielsystems benötigt.

Menü Kommunikation via ADS

Schritt 1: Drücken Sie auf das Kombinationsfeld Name (1) und wählen Sie ein eingetragenes Gerät aus der Namensliste. Falls sie aber manuell ein Gerät eintragen wollen, wählen sie in der Namensliste User Defined aus.

  • Eingetragene Geräte:
    • Wenn Sie ein eingetragenes Gerät aus der Namensliste auswählen, dann wird die AmsServerNetId (2) und AdsPort (3) automatisch übernommen.
    • Die Einstellungen für den AdsPort = 100 (3) können Sie an dieser Stelle verändern. Dieses ist bei der Kommunikation mit einem Beckhoff Gerät unerläßlich, da dieser immer über einen unterschiedlichen AdsPort verfügt:

      • Busklemmencontroller sowie Buskoppler der BC, BK und BX Reihe kommunizieren über den ADS Port = 100 (Defaultwert)
      • Embedded PCs der CX1xxx und CX9xxx Reihe kommunizieren über den ADS Port = 28928
    • Drücken Sie auf die Schaltfläche Test (4) um die Verbindungseinstellungen zum Gerät zu überprüfen.
  • User Defined:
    • Wenn Sie User Defined in der Namensliste im Kombinationsfeld Name (1) auswählen, dann müssen Sie die AmsServerNetId (2) und AdsPort (3) manuell eintragen.
    • Drücken Sie auch hier auf die Schaltfläche Test (4) um die Verbindungseinstellungen zu überprüfen.

Schritt 2: Der Test war erfolgreich, wenn das folgende Dialogfenster erscheint.

Communication with device successful

Schritt 3: Drücken Sie auf Schaltfläche OK um die eingestellten Werte zu übernehmen.

Schritt 4: Siehe Einloggen.


Kommunikation via ADS mit einem CX Gerät

Im Folgenden wird beschrieben wie die Kommunikation via ADS mit einem CX hergestellt wird. Dazu wird die AmsServerNetId, IP-Adresse und Ads-Port des Zielsystems benötigt.

Kommunikation zwischen PC und CX über ADS

Schritt 1: Schreiben Sie sich die Port Adresse vom gewünschten CX aus dem TwinCAT System Manager auf.

Schritt 2: Starten Sie den Config Mode.

AdsPort @ TwinCAT System Manager

Schritt 3: Drücken Sie auf das Kombinationsfeld Name (1) und wählen Sie ein eingetragenes Gerät aus der Namensliste. Falls sie aber manuell ein Gerät eintragen wollen, wählen sie in der Namensliste User Defined aus.

  • Eingetragene Geräte:
    • Wenn Sie ein eingetragenes Gerät aus der Namensliste auswählen, dann wird die AmsServerNetId (2) und AdsPort (3) automatisch übernommen.
    • Die Einstellungen für den AdsPort = 100 (3) können Sie an dieser Stelle verändern. Dieses ist bei der Kommunikation mit einem Beckhoff Gerät unerläßlich, da dieser immer über einen unterschiedlichen AdsPort verfügt:

      • Busklemmencontroller sowie Buskoppler der BC, BK und BX Reihe kommunizieren über den ADS Port = 100 (Defaultwert)
      • Embedded PCs der CX1xxx und CX9xxx Reihe kommunizieren über den ADS Port = 28928
    • Drücken Sie auf die Schaltfläche Test (4) um die Verbindungseinstellungen zum Gerät zu überprüfen.
  • User Defined:
    • Wenn Sie User Defined in der Namensliste im Kombinationsfeld Name (1) auswählen, dann müssen Sie die AmsServerNetId (2) und AdsPort (3) manuell eintragen.
    • Drücken Sie auch hier auf die Schaltfläche Test (4) um die Verbindungseinstellungen zu überprüfen.

Schritt 4: Der Test war erfolgreich, wenn das folgende Dialogfenster erscheint.

Communication with device successful

Schritt 5: Klicken Sie auf OK um die eingestellten Werte zu übernehmen.

Schritt 6: Siehe Einloggen.


Einloggen und Ausloggen

Es gibt mehrere Möglichkeiten um sich Ein- bzw. Auszuloggen.

Einloggen:

Wähle in der Menüleiste den den Login Button.

Klicken Sie auf den Login Button.

Schritt 1: Klicken Sie auf Online in der Menüleiste.

Schritt 2: Wählen Sie Einloggen.

Dialogfenster: Weitere Informationen über dieses Dialogfenster finden Sie hier.

Beispiel: Onlinedarstellung bei verbundenen BC/BK mit Busklemmen

Beispiel: Onlinedarstellung bei verbundener Feldbus Box

Beispiel: Onlinedarstellung bei verbundenen CX

Ausloggen:

Wähle in der Menüleiste den den Logout Button.

Klicken Sie auf den Logout Button.

Schritt 1: Klicken Sie auf Online in der Menüleiste.

Schritt 2: Wählen Sie Ausloggen.


Das Menü Buskoppler Dienste

Es gibt zwei Möglichkeiten um in das Menü Buskoppler Dienste zu gelangen.

Wähle in der Symbolleiste den Service Button.

Klicken Sie auf den Service Button.

Schritt 1: Klicken Sie auf Online in der Menüleiste.

Schritt 2: Wählen Sie Koppler und klicken Sie anschließend auf Dienste.

Buskoppler Dienste:

Schreibschutz setzen: aktiviert den Schreibschutz

Reset Schreibschutz: deaktiviert den Schreibschutz

Reset KBus: führt einen reset des K-bus aus

Factory settings: setzt alle Werte auf Default zurück

Checksum: führt einen Checksumtest aus

Reset: fürht einen hardware reset mit anschließenden rebooten aus

Klicken Sie auf Exit um das Menü zu verlassen.


Update der Koppler-Firmware

Bevor Sie ein Update der Koppler-Firmware durchfürhren sollten Sie immer folgendes bedenken:"Never touch a running system! ! !" Ein Update sollte nur bei schwerwiegenden Problemen und nur in Rücksprache mit Beckhoff durchgeführt werden.

Schritt 1: Klicken Sie auf Online.

Schritt 2: Wählen Sie Koppler und klicken Sie anschließend auf Firmware Update...

Schritt 3: Wählen Sie die Datei und klicken Sie anschließend auf öffnen. (Beispiel für einen Dateinamen: BC9000B900.hex)

Schritt 4: Der folgende Dialog erscheint. Für den Fall, dass Sie die falsche Datei gewählt haben können Sie dieses durch Select... korrigieren. Wenn Sie fertig sind klicken Sie auf Start.

Lassen Sie das System in Ruhe und warten Sie ab bis der Updatevorgang abgeschlossen ist.

Schritt 5: Der Vorgang ist erfolgreich durchgeführt und abgeschlossen worden. Klicken Sie auf OK


XML Script in ein Buskoppler oder Controller schreiben

KS2000: Konfigurations und Diagnose Software

XML Script in einen Buskoppler oder Controller schreiben

Warum Scripts ? Dieses Feature kann Ihnen Zeit und Geld spraren, wenn Sie mehrmals die gleiche Hardware mit den selben Einstellungen verwenden möchten. Mit einigen wenigen Klicks können Sie ein und die selbe Konfiguration auf die entsprechende Hardware übertragen.

Schritt 1: Klicken Sie auf Online

Schritt 2: Wählen Sie Koppler und klicken Sie auf Script-Init...

Schritt 3: Wählen Sie eine Datei und klicken Sie anschließend auf öffnen. (Beispiel: TemplateScriptCoupler.xml)

Schritt 4: Das folgende Dialogfenster erscheint. Für den Fall, dass Sie die Dateiauswahl korrigieren möchten klicken Sie auf Select...

Schritt 5: Wenn Sie fertig sind klicken Sie auf start

Schritt 6: Sobald dieses Dialogfenster erscheint ist der Prozess abgeschlossen. Klicken Sie jetzt auf JA

Schritt 7: Um den Dialog zu verlassen klicken Sie auf Exit.

Anmerkung :

Für die Übernahme dieser Parameter ist ein Reboot des Buskoppler erforderlich.

Der Aufbau der Script-Initialisierungsdatei für Buskoppler ist in der Beispieldatei im Verzeichnis "...\KS2000\Resource\Scripts\Coupler\TemplateScriptCoupler.xml" beschrieben.


Sicherheitseinstellungen des BC9000

KS2000: Konfigurations und Diagnose Software

BC9000 Sicherheitseinstellungen (IP/UDP)

Um den Zugriff auf einen BC9000 (ab Firmware BA00) im Netzwerk zu beschränken können entsprechende Sicherheitseinstellungen vorgenommen werden. Als Sicherheitseinstellung können 10 Computer definiert werden, die später eine Zugriffsberechtigung auf den BC9000 erhalten sollen. Die Einstellung kann nur über eine serielle Verbindung mit dem Kontroller vorgenommen werden.

Konfiguration der Sichereinstellungen am BC9000

Schritt 1: Machen Sie einen Doppelklick auf Feldbus: Sicherheitseinstellungen

Schritt 2: Auf der rechten Seite öffnet sich eine Liste der Rechner, die über eine Zugriffsberechtigung verfügen. Die Rechner sind durch Ihre IP Adresse eindeutig identifiziert.

Schritt 3: Um sämtliche Sicherheitsbeschränkungen aufzuheben klicken Sie auf Lösche alle Einträge.

Schritt 4: Bearbeitung der Einträge

  • Geräte Name: Wählen Sie einen Gerätenamen aus der Liste (PC 1 bis PC 10). Dieses ist nur eine Bezeichnung und muss nicht dem Computernamen in Ihrem Netzwerk entsprechen.
  • IP-Adresse: Tragen Sie hier die IPv4 Adresse des Rechners ein, der eine Zugriffsberechtigung erhalten soll.

Schritt 5: Die Schaltfläche Löschen entfernt die Einstellungen des ausgewählten Rechners. Die Schaltfläche Hinzufügen fügt einen Rechner zur Liste hinzu.

Schritt 6: Ein Reboot des BC9000 ist notwendig, wenn Sie etwas in der Konfiguration durch Lösche alle Einträge, Löschen oder Hinzufügen geändert haben. Wählen Sie hierfür die Schaltfläche Ja um das BC9000 zu rebooten.


XML Script in eine Busklemme schreiben

Weshalb Scripts ? Dieses Feature kann Ihnen Zeit und Geld sparen, wenn Sie mehrmals die gleiche Hardware mit den selben Einstellungen verwenden möchten. Mit einigen wenigen Klicks können Sie ein und die selbe Konfiguration auf die entsprechende Hardware übertragen.

Schritt 1: Klicken Sie auf Online

Schritt 2: Wählen Sie Klemmen und klicken anschließend auf Script-Init...

Schritt 3: Wählen Sie die Datei und klicken Sie anschließend auf öffnen. (Beispiel für einen Dateinamen: TemplateScriptTerm.xml)

Schritt 4: Der folgende Dialog erscheint. Für den Fall, dass Sie die falsche Datei gewählt haben können Sie dieses durch Select... korrigieren.

Schritt 5: Wählen Sie die Start- und Endklemme in die das Script geschrieben werden soll.

Schritt 6: Wenn Sie fertig sind klicken Sie auf start.

Schritt 7: Um den Dialog zu verlassen klicken Sie auf Exit.

Anmerkung:
Teilweise ist für die Übernahme dieser Parameter ein Reboot des Buskoppler erforderlich. Wird z.B. für serielle Busklemmen KL60xx die Bytegröße im Prozessabbild modifiziert, so übernimmt der Buskoppler diese Informationen erst mit dem nächsten Reboot.

Der Aufbau der Script-Initialisierungsdatei (-> das XML-Schema) für Busklemmen ist in der Beispieldatei im Verzeichnis "...\KS2000\Resource\Scripts\Terminal\TemplateScriptTerm.xml" beschrieben.


Register in ein XML Script schreiben

Die Exportfunktion ist ein nützliches Feature um Registereinstellungen der Klemmen zu sichern.

Ausnahme: Nicht jede Klemme unterstützt die Exportfunktion. Nur Klemmen, die über einen eigenen Prozessor verfügen sind in der Lage einen Datenaustausch mit einer übergeordneten Steuerung zu praktizieren.

Schritt 1: Machen Sie einen Doppelklick auf Klemmen: Register Dokumentation

Schritt 2: Mit "hoch/runter" können Sie die zu sichernde Klemme auswählen

Schritt 3: Machen Sie ein Häkchen in den zu sichernden Kanal oder Kanäle

Schritt 4: Mit "hoch/runter" können Sie den zu sichernden Registerbereich festlegen

Schritt 5: Sie haben folgende Möglichkeiten die Sicherung abzulegen:

  • in XML-Datei speichern (Sie sollten diese Einstellung wählen)
  • Als E-Mail verschicken
  • In die Zwischenablage kopieren

Schritt 6: Klicken Sie auf Export starten um den Prozess zu starten.

Warten Sie bis der Prozess beendet ist bevor Sie etwas anderes starten.


Speichern der Stations-Einstellungen

KS2000: Konfigurations und Diagnose Software

Stationseinstellungen sichern

Das Feature Stations-Einstellungen speichern in Datei sichert eine vollständige Klemmenstation.

Schritt 1: Machen Sie einen Doppelklick auf Stations-Einstellungen speichern in Datei...

Schritt 2: Das folgende Fenster öffnet sich.

1) Wählen Sie den gewünschten Zielordner.

2) Wählen Sie einen geeigneten Dateinamen, der es Ihnen später erleichtert eine Zuordnung zwischen Hard- und Software herzustellen.

3) Klicken Sie auf Speichern.

Schritt 3: Der Exportprozess wird nun gestartet.

1) Zeigt den Prozessstatus an. Während dieses Vorganges ist der Close Button ausgegraut.

2) Mit der Bildlaufleiste können Sie gegebenenfalls das gesamte Protokoll anschließend nachverfolgen.

Wenn Sie fertig sind klicken Sie auf Close um das Fenster zu schließen.


Stationseinstellungen zurückschreiben

Das Feature Stations-Einstellungen aus Datei übertragen... schreibt die Stationseinstellungen in die Hardware zurück.

Schritt 1: Machen Sie einen Doppelklick auf Stations-Einstellungen aus Datei übertragen...

Schritt 2: Das folgende Fenster öffnet sich.

1) Wählen Sie den gewünschten Ordner.

2) Wählen Sie die gewünschte Datei. (e.g. Backup.xml)

3) Klicken Sie auf Öffnen.

Schritt 3: Das folgende Fenster öffnet sich. Wenn Sie das "+" anklicken wird der Baum geöffnet über den Sie individuelle Einstellungen vornehmen können.

Über das An- und Abwählen können Sie individuell bestimmen welche Informationen zurückgesichert werden sollen. Wenn Sie fertig sind klicken Sie auf OK.

Schritt 4: Der Exportprozess wird nun gestartet.

1) Zeigt den Prozessstatus an. Während dieses Vorganges ist der Close Button ausgegraut.

2) Mit der Bildlaufleiste können Sie gegebenenfalls das gesamte Protokoll anschließend nachverfolgen.

Wenn Sie fertig sind klicken Sie auf Close um das Fenster zu schließen.


Script Dateien konvertieren

Warum konvertieren?

In Version 3, der älteren KS2000, wurden sämtliche Einstellungsparameter in zwei Dateiformate gespeichert (*.csi und *.tsi). Ab Version 4 wurde dieses auf nur ein Dateiformat reduziert (*.xml). Dieses erhöht die Übersichtlichkeit und vereinfacht die Bearbeitung. Das konvertieren soll es Ihnen ermöglichen den alten Sicherungsbestand auch mit der neuen KS2000 nutzen zu können.

Schritt 1: Klicken Sie in der Menüleiste auf Online

Schritt 2: Klicken Sie auf Konvertierung von Script Dateien in XML...

Schritt 3: Wenn sich der folgende Dialog öffnet, dann haben Sie die Möglichkeit Script Dateien von Klemmen oder Kopplern zu konvertieren. Die alten Dateiformate dafür sind wie folgt:

  • Klemmen Script Datei (*.tsi)
  • Koppler Script Datei (*.csi)

Als Beispiel haben wir die Konvertierung von einer Klemmen Script Datei gewählt. Die gleiche Vorgehensweise gilt natürlich auch für Koppler Script Dateien.

Klicken Sie auf Öffne Klemmen Script Datei V3 (*.tsi) (1).

Schritt 4: Das folgende Fenster öffnet sich. Wählen Sie die entsprechende Datei und klicken anschließend auf Öffnen. (Beispieldatei: Script_T.TSI)

Schritt 5: Folgendes Fenster (3) zeigt bereits das konvertierte Script an. Klicken Sie auf Speichere Klemmen Script Datei V4 (*.xml) (4) um die konvertierte Script Datei zu speichern.

Schritt 6: Das folgende Fenster öffnet sich. Überprüfen Sie zunächst das Dateiformat. In unserem Fall sollten Sie Terminal script XML(*xml) gewählt haben. Danach wählen Sie einen geeigneten Dateinamen und Ort wohin die Datei später gespeichert werden soll. Wenn Sie fertig sind klicken Sie auf Save.

Sie gelangen nun wieder in den zu Anfang gezeigten Dialog zurück. Um diesen zu beenden klicken Sie auf Beenden.


AMS Router

Der AMS Router verwaltet TCP/IP Verbindungen zu anderen Zielsystemen.

Schritt 1: Wählen Sie auf Optionen in der Menüleiste.

Schritt 2: Wählen Sie Kommunikationskanal... und wählen Sie auf das Menüelement via ADS...

Kommunkikation via ADS

Schritt 3: Der folgende Dialog wird geöffnet. Bereits unter TwinCAT AMS Router eingetragene Geräte finden Sie in diesem Dialog aufgelistet. Sie können jedoch auch manuell einen Einträge vornehmen. Dazu müssen Sie unter Name, AmsNetId und IP-Adresse die gewünschten Einstellung vornehmen und anschließend die Schaltfläche Speichern wählen.

Liste der ADS Geräte

Name

Zeigt den Namen des gelisteten Zielsystems an.

AmsNetID

Zeigt die AmsNetId des gelisteten Zielsystems an.

IP-Adresse

Zeigt die IPv4 Adresse des gelisteten Zielsystems. Diese ist vom verwendeten Transportprotokoll abhängig. Möglich sind neben TCP/IP-Adressen auch Adressen wie z.B. von Profibus-Teilnehmern etc., die das ADS Protokoll unterstützen um als Zielsystem bzw. Remote-System zu kommunizieren.

Speichern

Speichert einen Eintrag eines weiteren Gerätes in die Liste der Remote Devices

siehe TwinCAT AMS Router

AMS Router in TwinCAT System Eigenschaften


Erstellen und löschen von XML Geräte Dateien

Diese Option ist nur dann notwendig, wenn nach dem Einloggen z.B. eine Klemme mit 0 Kanälen falsch erkannt wird. Ist die Option aktiviert, so wird die XML Geräte Dateien beim Einloggen gelöscht und wieder neu erstellt. Dieses führt zu längeren Wartezeiten beim Einloggen, da die XML Geräte Dateien immer neu geschrieben werden muß und die alten Dateien archiviert werden.

Schritt 1: Um die Option Erstelle neue XML Geräte Datei zu aktivieren oder deaktivieren klicken Sie auf Optionen in der Menüleiste.

Schritt 2: Klicken Sie auf Erstelle neue XML Geräte Dateien.

Die Option Erstelle neue XML Geräte Dateien ist aktiviert, wenn folgede Dialogbox während des einloggens erscheint. Sie haben nun die Möglichkeit indem Sie auf OK klicken, das Archiv mit den alten Dateibeständen zu löschen. Wenn Sie dieses nicht machen möchten klicken Sie auf Abrechen.

Um sich Dateien anzusehen oder manuell zu löschen müssen Sie in den entsprechenden Ordner wechseln. Dieses können Sie z.B. mit dem Windows Explorer. Bei einer Standardinstallation finden Sie das Archiv im Installationsverzeichnis C:\Programme\KS2000_V4\Resource\Devices ansonsten im Verzeichnispfad, den Sie für Ihre Installation gewählt haben. "...KS2000_V4\Resource\Devices".


Allgemeine Einstellungen (Buskoppler)

Prozeßabbild aktiv:

Abhängig vom Feldbussystem können auf dem Buskoppler bis zu vier Prozeßabbilder gefahren werden. Für jedes Prozeßabbild steht ein Auswahlfenster zur Konfigurierung zur Verfügung. Mit dem Parameter "Prozeßabbild aktiv" wird das jeweilige Prozeßabbild aktiviert bzw. deaktiviert.

Auto-Konfiguration:

Der Koppler ordnet beim Starten den angehängten Klemmen eine Adresse im Ein- und Ausgangs-Prozeßabbild des Kopplers zu. Diese automatische Zuordnung kann hier abgewählt werden, der Koppler startet dann mit der sogenannten "Programmierten Konfiguration", also den Adresszuordnungen, die Sie im Koppler-Dialog "Programmierte Konfiguration" eingestellt haben.

Auswertung komplexe Klemmen:

Mit dem Beckhoff Busklemmen System stehen eine Vielzahl von unterschiedlichen Busklemmen zur Versorgung von Sensoren und Aktoren zur Verfügung. Es wird generell unterschieden zwischen digitalen und komplexen Busklemmen. Zu den komplexen Klemmen zählen alle Klemmen die Byte Informationen mit dem Buskoppler austauschen (z.B. Analoge-, Kommunikations- oder Inkremental Encoder Klemmen). Wird der Parameter "Auswertung komplexe Klemmen" angewählt werden die Busklemmen dieser Station komplett (Komplette Auswertung) ausgewertet, d.h. es werden alle Daten die von den Klemmen erzeugt werden in das Prozeßabbild des Buskopplers übertragen. Bei den Analog-Klemmen (z.B. KL3002) bedeutet dies, das Control- und Status Byte mit übertragen werden, und die Klemme Eingangs- und Ausgangsdaten mit dem Buskoppler austauscht. Die technischen Dokumentationen der komplexen Busklemmen geben Auskunft über die Datendarstellung der jeweiligen Kanäle

Motorola (komplexe Klemmen):

Mit diesem Parameter stellen Sie das Darstellungsformat der komplexen Klemmen ein. Sie können wählen zwischen Motorola (aktiviert) oder Intel Format (deaktiviert). Das Motorola Format sagt dabei aus, daß das höherwertige Daten-Byte eines Daten-Wortes auf dem niederwertigen Adreßoffset des Speicherplatzes liegt. Beim Intel Format verhält es sich genau umgekehrt.

Bsp.:
Adress Offset High Byte Low Byte
Motorola Format: $0 D0 D1
Intel Format $0 D1 D0

Motorola-Format (digitale Klemmen):

Wählen Sie das Motorala Format für digitale Klemmen, so wird das High Byte mit dem Low Byte zweier aufeinanderfolgender "Digital-Bytes" (also von insgesamt 16 aufeinderfolgender Digital-Kanälen) gedreht.

Word Alignment:

Um ein Datenwort auf ein Wortgrenze (d.h. gerade Byte-Adresse) im Speicher des Prozeßabbildes zu legen müssen Sie den Parameter "Word Alignment" anwählen.

Eingangsabbild freilaufend:

Der Koppler führt eigenständig einen Austausch des Prozeßeingangsabbildes von den Eingangsklemmen durch. Das Prozeßabbild wird freilaufend (asynchron) zum Feldbus gefahren.

Ausgangsabbild freilaufend:

Der Koppler führt eigenständig (asynchron) einen Austausch des Prozeßausgangsabbildes zu den Ausgangsklemmen durch. Eine Synchronisation mit dem Feldbuszyklus findet nicht mehr statt, die Konsistenz der Daten ist bei einigen Kopplern (z.B. BK2000) nicht mehr gewährleistet.


Controller: Allgemeine Einstellungen

Nov Ram active:

Wenn NovRam aktiviert ist, werden die Retaindaten (VAR_GLOBAL RETAIN var1 AT%MB… END_VAR) ins NOVRAM vom BC/BX Controller kopiert.

Store BC Controller State in Memory:

Wenn diese Box aktiviert ist, werden der K-Bus und die Informationen des Feldbusstatus in den Merker Bereich (%MB…) vom BC Controller kopiert. Siehe Beckhoff Information System: "GetFBusStatus" oder "GetTBusStatus".

Compare terminal configuration:

Die Busklemmenkonfiguration wird während der Erstellung des Bootprojekts gespeichert. Wenn die physikalische Busklemmenkonfiguration nach der Erstellung des Bootprojekts geändert wird, startet das Bootprojekt nicht. Ist Compare terminal configuartion aktiviert, startet das Bootprojekt auch mit der geänderten Hardware-Konfiguration auf [Vorgabe = aktiv].

Ams block confirmation:

Wenn eine TwinCAT Version größer gleich 2.9 benutzt wird, muß diese Box wegen Kompatibilitätsgründen aktiviert sein.

Read system clock:

Der Zyklustaktzähler wird in den Merker Bereich(%MB…) vom BC Controller kopiert. Siehe Beckhoff Information System: "GetSysTick"

Clear outputs on breakpoint:

Die Ausgänge werden gelöscht wenn das PLC Programm ein Programmstop (Breakpoint) erreicht.

PLC terminal bus update:

ICO: Eingänge werden vor dem SPS Zyklus gelesen. Ausgänge werden nach dem SPS Zyklus geschrieben [Vorgabe].
IOC: Eingänge werden gelesen und die Ausgänge werden vor dem SPS Zyklus geschrieben.
CIO: Eingänge werden gelesen und die Ausgänge werden nach einem SPS Zyklus geschrieben.

Offset PLC-input in fieldbusinterface:

PLC Variablen Adress Offset ab dem die Feldbuseingangsdaten gemappt werden. (Default %Ix128)

Length PLC-inputimage in fieldbusinterface:

Länge der Feldbus Eingangsdaten (Default 16 Byte)

Offset PLC-output in fieldbusinterface:

PLC Variablen Adress Offset ab dem die Feldbusausgangsdaten gemappt werden. (Default %Qx128)

Length PLC-outputimage in fieldbusinterface:

Länge der Feldbus Ausgangsdaten (Default 16 Byte)

Number of remanent bytes:

Anzahl der Remanenten Daten (Default 64 - %MB0-%MB63)

PLC cycle time [ms]:

PLC Zyklus Zeit (Default BCxx00 : 5 ms, BC9000 : 20 ms)

PLC background time [ms]:

PLC Hintergrundbearbeitungszeit (Default BCxx00 2 ms, BC9000 10 ms)

Aktivierung der Zykluszeitmessung:

Hier aktivieren Sie die Zykluszeitmessung des Busklemmen Controllers.

Minimale PLC Zykluszeit [ms]:

Angabe der minimalen PLC-Zykluszeit des Busklemmen Controllers.

Maximale PLC Zykluszeit [ms]:

Angabe der maximalen PLC-Zykluszeit des Busklemmen Controllers.

Aktuelle PLC Zykluszeit [ms]:

Angabe der aktuellen PLC-Zykluszeit des Busklemmen Controllers.

Mittlere PLC Zykluszeit [ms]:

Angabe der mittleren PLC-Zykluszeit (gemittelt über die letzten 200 Messungen) des Busklemmen Controllers.


KS2000: Konfigurations und Diagnose Software

Firmware Update


Script Initialisierungen Koppler

KS2000: Konfigurations und Diagnose Software

Script Initialisierung Buskoppler

Wenn Sie Koppler immer in der gleichen Art parametrieren wollen, so ist das Selektieren der High-Level-Dialoge bzw. der Registerdialoge recht mühsam.
Analog zur "Script-Initialisierung Busklemmen" existiert auch für Buskoppler die Möglichkeit "in einem Rutsch" alle beliebigen Kopplereinstellungen zu parametrieren. Im Dialog "Online->Koppler->Script-Initialisierung" wählen Sie bitte eine Koppler-Script-Datei (*.XML) aus.

Durch "Start" werden die Einstellungen in die Klemmstation geIaden. Zur Kontrolle wird in der Anzeige ein Logbuch protokolliert.

Für die Übernahme dieser Parameter ist ein Reboot des Buskoppler erforderlich.

Der Aufbau der Script-Initialisierungsdatei für Buskoppler ist in der Beispieldatei im Verzeichnis "...\KS2000\Resource\Scripts\Coupler\TemplateScriptCoupler.xml" beschrieben.


Script Initialisierungen Busklemmen

KS2000: Konfigurations und Diagnose Software

Script Initialisierung Busklemmen

Wenn Sie eine größere Menge von Klemmen auf die gleiche Art parametrieren wollen, so ist das Selektieren der High-Level-Dialoge bzw. der Registerdialoge für jeden Signalkanal einer Klemme recht mühsam.

Mit der "Script-Initialisierung" haben Sie die Möglichkeit, "in einem Rutsch" eine beliebige Anzahl von Klemmen zu parametrieren. Im Dialog "Online->Klemme->Script-Initialisierung" wählen Sie bitte eine Busklemmen-Script-Datei (*.XML) aus.

Im Script-Initialisierungs-Dialog geben Sie an, welche Klemmen auf diese Weise parametriert werden sollen.

Durch "Start" werden die Einstellungen in die Klemmstation geIaden. Zur Kontrolle wird in der Anzeige ein Logbuch protokolliert.

Anmerkung: Teilweise ist für die Übernahme dieser Parameter ein Reboot des Buskoppler erforderlich. Wird z.B. für serielle Busklemmen KL60xx die Bytegröße im Prozessabbild modifiziert, so übernimmt der Buskoppler diese Informationen erst mit dem nächsten Reboot.

Der Aufbau der Script-Initialisierungsdatei (-> das XML-Schema) für Busklemmen ist in der Beispieldatei im Verzeichnis "...\KS2000\Resource\Scripts\Terminal\TemplateScriptTerm.xml" beschrieben.